require "cf/templates/version"

module Cf
  module Templates
    class FileTemplateProvider

      attr_reader :id, :template_location

      def initialize(id)
        @id = id
      end

      def set_template_location(template_file_path)
        @template_location = template_file_path
      end

      def get_template
        File.open(@template_location, 'rb').read
      end

    end
  end
end
